Bug 610026 - [abrt] crash in fontforge-20090923-3.fc13: FVMetricsCenter: Process /usr/bin/fontforge was killed by signal 11 (SIGSEGV)
[abrt] crash in fontforge-20090923-3.fc13: FVMetricsCenter: Process /usr/bin/...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: fontforge (Show other bugs)
13
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Kevin Fenzi
Fedora Extras Quality Assurance
abrt_hash:1691cad4da09f2654e875431928...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-01 08:47 EDT by michael
Modified: 2011-06-27 15:15 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-27 15:15:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (35.51 KB, text/plain)
2010-07-01 08:47 EDT, michael
no flags Details

  None (edit)
Description michael 2010-07-01 08:47:46 EDT
abrt 1.1.1 detected a crash.

architecture: i686
Attached file: backtrace
cmdline: fontforge
component: fontforge
crash_function: FVMetricsCenter
executable: /usr/bin/fontforge
global_uuid: 1691cad4da09f2654e8754319286af3772cfefcf
kernel: 2.6.33.5-124.fc13.i686
package: fontforge-20090923-3.fc13
rating: 4
reason: Process /usr/bin/fontforge was killed by signal 11 (SIGSEGV)
release: Fedora release 13 (Goddard)
Comment 1 michael 2010-07-01 08:47:50 EDT
Created attachment 428386 [details]
File: backtrace
Comment 2 Kevin Fenzi 2010-07-04 15:17:02 EDT
Greetings.

Can you please upgrade to the version in this scratch build:

http://koji.fedoraproject.org/koji/taskinfo?taskID=2294313

and see if the problem re-occurs or is fixed?

Note that this build will only be around for a few weeks.

Thanks.
Comment 3 Paul Flo Williams 2010-07-04 15:55:48 EDT
In the absence of information about exactly what Michael was doing at the time of the crash, I've been going through the backtrace in an attempt to reproduce it.

I haven't exactly duplicated this crash, but it seems to be to do with bitmap fonts, and today I have found a definite crasher in the code to display toolboxes that is present in current CVS, and it may be that Michael was hit by this.

(Just a data point: I'll be sending a patch for this upstream, shortly.)
Comment 4 Bug Zapper 2011-06-01 11:04:10 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2011-06-27 15:15:13 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.